#PBS -N aluminum0500_vib_0005
#PBS -l walltime=02:59:00
#PBS -q short
#PBS -l nodes=3:ppn=8
#PBS -j oe
ulimit -s unlimited
PATH=~/bin:/share/apps/espresso/espresso-5.0.3/bin:/home/apps/bin:${PATH}:`dirname $(readlink -f $0)`
module load mvapich2
cd $PBS_O_WORKDIR
NSLOTS=`cat $PBS_NODEFILE | wc -l | awk '{ print $1 }'` ; dstr=`date`
echo "HOSTNAME: ${HOSTNAME} PBS_JOBNAME: ${PBS_JOBNAME} PBS_JOBID: ${PBS_JOBID} date: ${dstr}"

afi=`ls *[0-9].inp | shuf`
for fli in ${afi} ; do
 flih=`echo $fli | sed 's/\.inp//'`
 export INP=${flih}
 if grep "convergence has been achieved" $INP.out 2> /dev/null ; then
  echo "done $INP.inp"
 else
  if ls ${INP}.save* ; then
   sed "/restart_mode/c\
   restart_mode=\'restart\'
  " $INP.inp > .hef.$$
   mv .hef.$$ $INP.inp
   ls ${INP}.save.tar* && tar -xf ${INP}.save.tar*
   mv ${INP}.save/charge-density.dat charge-density.dat$$ 
   rm -r ${INP}.save/* 
   mv charge-density.dat$$ ${INP}.save/charge-density.dat 
  else
   sed "/restart_mode/c\
   restart_mode=\'from_scratch\'
   " $INP.inp > .hef.$$
   mv .hef.$$ $INP.inp
  fi
  echo "do $INP.inp"
  mv $INP.out.bak-2 $INP.out.bak-3 ; mv $INP.out.bak-1 $INP.out.bak-2 ; mv $INP.out $INP.out.bak-1
  mpiexec -np ${NSLOTS}  pw.x  -npools 2 < ./$INP.inp > $INP.out
  tar -czf ${INP}.save.tar.gz ${INP}.save && rm -r ${INP}.save 
 fi
done 
./nbearb -n 1 
