#PBS -N aluminum500 
#PBS -l walltime=23:30:00
#PBS -l nodes=3:ppn=8
#PBS -q short 
#PBS -j oe
ulimit -s unlimited
export LD_LIBRARY_PATH=/home/libs:/opt/intel/ict/3.0.1/cmkl/9.1/lib/em64t:$LD_LIBRARY_PATH ;
export PATH=/opt/parastation/mpich-intel/bin:/home/apps/bin:$PATH 
cd $PBS_O_WORKDIR
NSLOTS=`cat $PBS_NODEFILE | wc -l | awk '{ print $1 }'` ; dstr=`date`
echo "HOSTNAME: ${HOSTNAME} PBS_JOBNAME: ${PBS_JOBNAME} PBS_JOBID: ${PBS_JOBID} date: ${dstr}"

export RN=cryo
export INP=${RN}.scf
mv $INP.out.bak-2 $INP.out.bak-3 ; mv $INP.out.bak-1 $INP.out.bak-2 ; mv $INP.out $INP.out.bak-1
mpiexec -np ${NSLOTS}  pw.x  -npools 2 < ./$INP.inp > $INP.out

grep "convergence has been achieved in" $INP.out || exit

hstr=`sed -n '/ATOMIC_SPECIES/,/ATOMIC_POSITIONS/{/ATOM/d ; p; } ' ${RN}.scf.inp  | awk '{ print "amass("NR")=  "$2"," }'`
cat > ${RN}.ph.inp << EOF
phonons of ${RN}
 &inputph
  tr2_ph=1.0d-14,
  ldisp=.true.,
  nq1=1, nq2=1, nq3=1
  ${hstr} 
  prefix='PH',
  outdir='./'
  fildyn='${RN}.dyn',
 / 
EOF

export INP=${RN}.ph
mv $INP.out.bak-2 $INP.out.bak-3 ; mv $INP.out.bak-1 $INP.out.bak-2 ; mv $INP.out $INP.out.bak-1
mpiexec -np ${NSLOTS} ph.x < ./$INP.inp > $INP.out

#grep "JOB DONE." $INP.out || exit
echo "&input fildyn='${RN}.dyn', zasr='crystal', flfrc='${RN}.fc' /" > ${RN}.q2r.inp

export INP=${RN}.q2r
mv $INP.out.bak-2 $INP.out.bak-3 ; mv $INP.out.bak-1 $INP.out.bak-2 ; mv $INP.out $INP.out.bak-1
mpiexec -np ${NSLOTS} q2r.x < ./$INP.inp > $INP.out

cat > ${RN}.matdyn.inp << EOF
&input
    asr='crystal',
     ${hstr}
    flfrc='${RN}.fc', flfrq='${RN}.freq'
 /
1
  0.0 0.0  0.0
EOF

export INP=${RN}.matdyn
mv $INP.out.bak-2 $INP.out.bak-3 ; mv $INP.out.bak-1 $INP.out.bak-2 ; mv $INP.out $INP.out.bak-1
mpiexec -np ${NSLOTS} matdyn.x < ./$INP.inp > $INP.out


date ; ./nbear
